data:extend
({
  {
    type = "recipe",
    name = "cheat-pack",
    ingredients = {},
    results=

    {

      {"cheat-box", 1},
      {"cheat-electric-pole", 1},
      {"offshore-pump", 1},
      {"pipe-to-ground", 4},
      {"boiler", 7},
      {"steam-engine", 5},
      {"solid-fuel", 7}
    },


    icon = "__base__/graphics/icons/coin.png",

    subgroup = "production-machine",

    order = "z[cheat-pack]"
  },
  {
    type = "recipe",
    name = "cheat-box",
    category = "cheat",

    ingredients = {},
    result = "cheat-box"
  },
  {
    type = "recipe",
    name = "cheat-electric-pole",
    category = "cheat",

    ingredients = {},
    result = "cheat-electric-pole"
  },
  {
    type = "recipe",
    name = "cheat-tank",
    category = "cheat",

    ingredients = {},
    result = "cheat-tank"
  },
  {

    type = "recipe",

    name = "cheat-armor",

    category = "cheat",

    ingredients = {},
    results=

    {

      {"cheat-armor", 1},
      {"cheat-reactor-equipment", 1},
      {"cheat-shield-equipment", 1},
      {"cheat-defense-equipment", 1},
      {"cheat-exoskeleton-equipment", 4},
      {"personal-roboport-equipment", 1}
    },


    icon = "__base__/graphics/icons/power-armor-mk2.png",

    subgroup = "cheat",

    order = "d[combat]-d[armor]-a[cheat-armor]"
  },

  {

    type = "recipe",

    name = "cheat-axe",

    category = "cheat",
    ingredients = {},
    result = "cheat-axe"

  },

  {

    type = "recipe",

    name = "cheat-chest",

    category = "cheat",
    ingredients = {},
    result = "cheat-chest"

  },

  {

    type = "recipe",

    name = "cheat-inserter",

    category = "cheat",
    ingredients = {},
    result = "cheat-inserter"

  },

  {
    type = "recipe",
    name = "cheat-grenade",
    category = "cheat",
    ingredients = {},
    result = "cheat-grenade",
  },

  {
    type = "recipe",
    name = "cheat-gun",
    category = "cheat",
    ingredients = {},
    result = "cheat-gun",
  },

  {
    type = "recipe",
    name = "cheat-turret",
    category = "cheat",
    ingredients = {},
    result = "cheat-turret",
  },

  {
    type = "recipe",

    name = "water",

    category = "cheat",

    ingredients = {},
    results=

    {

      {type="fluid", name="water", amount=1}

    },

    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-a[water]"

  },

  {
    type = "recipe",
    name = "coal",
    category = "cheat",
    ingredients = {},
    result = "coal",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-b[coal]"

  },
  {
    type = "recipe",
    name = "stone",
    category = "cheat",
    ingredients = {},
    result = "stone",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-c[stone]"

  },
  {
    type = "recipe",
    name = "iron-ore",
    category = "cheat",
    ingredients = {},
    result = "iron-ore",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-d[iron-ore]"

  },
  {
    type = "recipe",
    name = "copper-ore",
    category = "cheat",
    ingredients = {},
    result = "copper-ore",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-e[copper-ore]"

  },


  {
    type = "recipe",

    name = "crude-oil",

    category = "cheat",

    ingredients = {},
    results=

    {

      {type="fluid", name="crude-oil", amount=1}

    },

    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-f[crude-oil]"

  },


  {
    type = "recipe",

    name = "raw-wood",

    category = "cheat",

    ingredients = {},
    result = "raw-wood",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-g[raw-wood]"

  },


  {
    type = "recipe",

    name = "alien-artifact",

    category = "cheat",

    ingredients = {},
    result = "alien-artifact",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-h[alien-artifact]"

  },


  {
    type = "recipe",

    name = "raw-fish",

    category = "cheat",

    ingredients = {},
    result = "raw-fish",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-i[raw-fish]"

  },


  {
    type = "recipe",

    name = "rocket-silo",

    category = "cheat",

    ingredients = {},
    result = "rocket-silo",
    subgroup = "cheat",

    order = "d[combat]-f[defensive-structure]-a[rocket-silo]"

  },


  {
    type = "recipe",

    name = "low-density-structure",

    category = "cheat",

    ingredients = {},
    result = "low-density-structure",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-k[rocket-structure]"

  },


  {
    type = "recipe",

    name = "rocket-fuel",

    category = "cheat",

    ingredients = {},
    result = "rocket-fuel",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-l[rocket-fuel]"

  },


  {
    type = "recipe",

    name = "rocket-control-unit",

    category = "cheat",

    ingredients = {},
    result = "rocket-control-unit",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-m[rocket-control-unit]"

  },


  {
    type = "recipe",

    name = "satellite",

    category = "cheat",

    ingredients = {},
    result = "satellite",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-o[satellite]"

  },


  {
    type = "recipe",

    name = "solar-panel",

    category = "cheat",

    ingredients = {},
    result = "solar-panel",
    subgroup = "cheat",

    order = "b[production]-b[energy]-d[solar-panel]-a[solar-panel]"

  },


  {
    type = "recipe",

    name = "basic-accumulator",

    category = "cheat",

    ingredients = {},
    result = "basic-accumulator",
    subgroup = "cheat",

    order = "b[production]-b[energy]-e[accumulator]-a[basic-accumulator]"

  },


  {
    type = "recipe",

    name = "solid-fuel",

    category = "cheat",

    ingredients = {},
    result = "solid-fuel",
    subgroup = "cheat",

    order = "c[intermediate-products]-b[raw-resource]-c[solid-fuel]"

  },


  {
    type = "recipe",

    name = "science-pack-1",

    category = "cheat",

    ingredients = {},
    result = "science-pack-1",
    subgroup = "cheat",

    order = "c[intermediate-products]-f[science-pack]-a[science-pack-1]"

  },


  {
    type = "recipe",

    name = "science-pack-2",

    category = "cheat",

    ingredients = {},
    result = "science-pack-2",
    subgroup = "cheat",

    order = "c[intermediate-products]-f[science-pack]-b[science-pack-2]"

  },


  {
    type = "recipe",

    name = "science-pack-3",

    category = "cheat",

    ingredients = {},
    result = "science-pack-3",
    subgroup = "cheat",

    order = "c[intermediate-products]-f[science-pack]-c[science-pack-3]"

  },


  {
    type = "recipe",

    name = "alien-science-pack",

    category = "cheat",

    ingredients = {},
    result = "alien-science-pack",
    subgroup = "cheat",

    order = "c[intermediate-products]-f[science-pack]-d[alien-science-pack]"

  },


  {
    type = "recipe",

    name = "lab",

    category = "cheat",

    ingredients = {},
    result = "lab",
    subgroup = "cheat",

    order = "b[production]-e[production-machine]-g[lab]"

  },


  {
    type = "recipe",

    name = "roboport",

    category = "cheat",

    ingredients = {},
    result = "roboport",
    subgroup = "cheat",

    order = "a[logistics]-f[logistic-network]-c[signal]-a[roboport]"

  },


  {
    type = "recipe",

    name = "logistic-robot",

    category = "cheat",

    ingredients = {},
    result = "logistic-robot",
    subgroup = "cheat",

    order = "a[logistics]-f[logistic-network]-a[robot]-a[logistic-robot]"

  },


  {
    type = "recipe",

    name = "construction-robot",

    category = "cheat",

    ingredients = {},
    result = "construction-robot",
    subgroup = "cheat",

    order = "a[logistics]-f[logistic-network]-a[robot]-b[construction-robot]"

  },


  {
    type = "recipe",

    name = "electronic-circuit",

    category = "cheat",

    ingredients = {},
    result = "electronic-circuit",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-c[electronic-circuit]"

  },


  {
    type = "recipe",

    name = "advanced-circuit",

    category = "cheat",

    ingredients = {},
    result = "advanced-circuit",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-d[advanced-circuit]"

  },


  {
    type = "recipe",

    name = "processing-unit",

    category = "cheat",

    ingredients = {},
    result = "processing-unit",
    subgroup = "cheat",

    order = "c[intermediate-products]-e[intermediate-product]-e[processing-unit]"

  },


  {
    type = "recipe",

    name = "straight-rail",

    category = "cheat",

    ingredients = {},
    result = "straight-rail",
    subgroup = "cheat",

    order = "a[logistics]-e[transport]-a[train-system]-a[straight-rail]"

  },


  {
    type = "recipe",

    name = "curved-rail",

    category = "cheat",

    ingredients = {},
    result = "curved-rail",
    subgroup = "cheat",

    order = "a[logistics]-e[transport]-a[train-system]-b[curved-rail]"

  },


  {
    type = "recipe",

    name = "diesel-locomotive",

    category = "cheat",

    ingredients = {},
    result = "diesel-locomotive",
    subgroup = "cheat",

    order = "a[logistics]-e[transport]-a[train-system]-f[diesel-locomotive]"

  },


  {
    type = "recipe",

    name = "cargo-wagon",

    category = "cheat",

    ingredients = {},
    result = "cargo-wagon",
    subgroup = "cheat",

    order = "a[logistics]-e[transport]-a[train-system]-g[cargo-wagon]"

  },

  {
    type = "recipe",
    name = "iron-plate",
    category = "cheat",
    ingredients = {},
    result = "iron-plate",
    subgroup = "cheat",

    order = "c[intermediate-products]-c[raw-material]-j[iron-plate]"

  },
  {
    type = "recipe",
    name = "destroyer-capsule",
    category = "cheat",
    ingredients = {},
    result = "destroyer-capsule",
    subgroup = "cheat",

    order = "d[combat]-c[capsule]-b[destroyer-capsule]"

  },
  {
    type = "recipe",
    name = "blueprint",
    category = "cheat",
    ingredients = {},
    result = "blueprint",
    subgroup = "cheat",

    order = "b[production]-a[tool]-c[automated-construction]-a[blueprint]"

  },
  {
    type = "recipe",
    name = "deconstruction-planner",
    category = "cheat",
    ingredients = {},
    result = "deconstruction-planner",
    subgroup = "cheat",

    order = "b[production]-a[tool]-c[automated-construction]-b[deconstruction-planner]"

  },
  {
    type = "recipe",
    name = "explosive-cannon-shell",
    category = "cheat",
    ingredients = {},
    result = "explosive-cannon-shell",
    subgroup = "cheat",

    order = "d[combat]-b[ammo]-d[cannon-shell]-b[explosive]"

  },
})
